Package oracle.kv.stats

# Interface SubscriptionMetrics

public interface SubscriptionMetrics
Object represents a set of statistics of a single subscription.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<oracle.kv.impl.topo.RepGroupId,Long>`
  `getAckStartVLSN()`
  Returns the acknowledged start vlsn from NoSQL DB for each subscribed shard
  `long`
  `getCurrentOpenTxn()`
  Returns the current total number of open transactions in publisher that have not yet committed or aborted.
  `Map<oracle.kv.impl.topo.RepGroupId,Long>`
  `getLastAbortVLSN()`
  Returns the last aborted vlsn for each subscribed shard
  `Map<oracle.kv.impl.topo.RepGroupId,Long>`
  `getLastCommitVLSN()`
  Returns the last committed vlsn for each subscribed shard
  `Map<oracle.kv.impl.topo.RepGroupId,Long>`
  `getLastMsgTimeStamp()`
  Returns the timestamp of last message from each subscribed shard
  `long`
  `getNumTokenRefreshed()`
  Gets the number of times that token has been refreshed with the secure store.
  `Map<oracle.kv.impl.topo.RepGroupId,Long>`
  `getReqStartVLSN()`
  Returns the requested start vlsn for each subscribed shard
  `long`
  `getTotalAbortOps()`
  Returns the total number of operations that were part of aborted transactions in the subscription.
  `long`
  `getTotalAbortTxns()`
  Returns the total aborted transactions in the subscription
  `long`
  `getTotalCommitOps()`
  Returns the total number of operations that were part of committed transactions in the subscription.
  `long`
  `getTotalCommitTxns()`
  Returns the total committed transactions in the subscription
  `long`
  `getTotalConsumedOps()`
  Returns the total number of stream operations that have been consumed by subscriber
  `long`
  `getTotalReconnect()`
  Returns the total number of reconnections to shards in subscription.

- ## Method Details

  - ### getReqStartVLSN

    Map<oracle.kv.impl.topo.RepGroupId,Long> getReqStartVLSN()
    Returns the requested start vlsn for each subscribed shard
    Returns:
      the requested start vlsn for each subscribed shard

  - ### getAckStartVLSN

    Map<oracle.kv.impl.topo.RepGroupId,Long> getAckStartVLSN()
    Returns the acknowledged start vlsn from NoSQL DB for each subscribed shard
    Returns:
      the acknowledged start vlsn from NoSQL DB for each subscribed shard

  - ### getLastCommitVLSN

    Map<oracle.kv.impl.topo.RepGroupId,Long> getLastCommitVLSN()
    Returns the last committed vlsn for each subscribed shard
    Returns:
      the last committed vlsn for each subscribed shard

  - ### getLastAbortVLSN

    Map<oracle.kv.impl.topo.RepGroupId,Long> getLastAbortVLSN()
    Returns the last aborted vlsn for each subscribed shard
    Returns:
      the last aborted vlsn for each subscribed shard

  - ### getLastMsgTimeStamp

    Map<oracle.kv.impl.topo.RepGroupId,Long> getLastMsgTimeStamp()
    Returns the timestamp of last message from each subscribed shard
    Returns:
      the timestamp of last message from each subscribed shard

  - ### getTotalConsumedOps

    long getTotalConsumedOps()
    Returns the total number of stream operations that have been consumed by subscriber
    Returns:
      the total number of stream operations that have been consumed by subscriber

  - ### getTotalCommitTxns

    long getTotalCommitTxns()
    Returns the total committed transactions in the subscription
    Returns:
      the total committed transactions in the subscription

  - ### getTotalAbortTxns

    long getTotalAbortTxns()
    Returns the total aborted transactions in the subscription
    Returns:
      the total aborted transactions in the subscription

  - ### getTotalCommitOps

    long getTotalCommitOps()
    Returns the total number of operations that were part of committed transactions in the subscription. It is a sum of operations of all committed transactions.
    Returns:
      the total committed operations in the subscription

  - ### getTotalAbortOps

    long getTotalAbortOps()
    Returns the total number of operations that were part of aborted transactions in the subscription. It is a sum of operations of all aborted transactions.
    Returns:
      the total aborted operations in the subscription

  - ### getCurrentOpenTxn

    long getCurrentOpenTxn()
    Returns the current total number of open transactions in publisher that have not yet committed or aborted.
    Returns:
      the current total open transactions in the subscription

  - ### getTotalReconnect

    long getTotalReconnect()
    Returns the total number of reconnections to shards in subscription. The reconnection happens at level of shard when subscriber is unable to stream from a node in that shard, e.g., the master node is done and a new master is elected, and subscriber will reconnect to the new master of the shard.
    Returns:
      the total number of reconnections

  - ### getNumTokenRefreshed

    long getNumTokenRefreshed()
    Gets the number of times that token has been refreshed with the secure store. Refreshing a token includes both renewing an existing token and re-authenticating to obtain a new token if existing token cannot be renewed. For non-secure store, it always returns 0.
    Returns:
      the number of times that token has been refreshed